Subject: Re: [Roll] Warren Kumari's No Objection on draft-ietf-roll-aodv-rpl-10: (with COMMENT)

From: Charles Perkins <[email-masked]>
Date: Wed, 18 Aug 2021 13:33:03 -0700

Hello Warren,

Please excuse the unusually long delay it has taken for us to respond to 
your comments.

Regarding the following:

 >  Warren Kumari No Objection
 > Comment (2021-04-20)

 > Firstly, thank you for writing this - I'm really not a ROLL person,
 > but I found it interesting...
 > I support John and Rob's DISCUSSes, but I'll let them carry the heavy 
load :-)

 > I have a few nits:
 > Section 4.3:
 > 'r
 >       A one-bit reserved field.  This field MUST be initialized to zero
 >       by the sender and MUST be ignored by the receiver.'
 > I could find no 'r'  in Figure 3  - did you mean 'X'?

Fixed.

 > Section 6.2.1, Step 1:
 > 'If the S bit in the received RREQ-DIO is set to 0, the router MUST
 > determine into the upward direction (towards the OrigNode) of the link.'
 > I was unable to parse this. More worryingly, I was also not able to
 > figure out what it should say...

New text:

       If the S bit in the received RREQ-DIO is set to 0, the router
       MUST determine the neighbor from which it received the RREQ-DIO,
       and the cost of traversing the link from that neighbor.

 > Section 6.3.1:
 > 'default to 1/4 of the time duration determined by the L bit.'
 >    - s/L bit/L value'.

Fixed.

 > This says that the default of 1/4 of the time duration, but I didn't
 > see where /why the default would change. Also, isn't 'time' in 'time
 > duration' unnecessary? Duration implies time.

Unfortunately, "time" is ambiguous, since it can often mean a
particular point in time, and not a specified duration of time.
The following sentence motivates non-default values:

      "A greater value for RREP_WAIT_TIME can allow for discovery of cheaper
       reverse routes back to OrigNode, at the cost of longer route 
discovery
       times."

 > Appendix A:
 > 'The combination of Received Signal Strength Indication(downstream)
 >  (RSSI) and Expected Number of Transmissions(upstream)" (ETX) '
 >  -- this is a random closing quote without an opening one.

  Fixed.  It is surprising that idnits wouldn't catch this.

Regards,
Charlie P.

On 4/20/2021 3:03 PM, Warren Kumari via Datatracker wrote:
> Warren Kumari has entered the following ballot position for
> draft-ietf-roll-aodv-rpl-10: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-roll-aodv-rpl/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Firstly, thank you for writing this - I'm really not a ROLL person, but I found
> it interesting...
>
> I support John and Rob's DISCUSSes, but I'll let them carry the heavy load :-)
>
> I have a few nits:
> Section 4.3:
> 'r
>        A one-bit reserved field.  This field MUST be initialized to zero
>        by the sender and MUST be ignored by the receiver.'
> I could find no 'r'  in Figure 3  - did you mean 'X'?
>
> Section 6.2.1, Step 1:
> 'If the S bit in the received RREQ-DIO is set to 0, the router MUST determine
> into the upward direction (towards the OrigNode) of the link.' I was unable to
> parse this. More worryingly, I was also not able to figure out what it should
> say...
>
> Section 6.3.1:
> 'default to 1/4 of the time duration determined by the L bit.' - s/L bit/L
> value'. This says that the default of 1/4 of the time duration, but I didn't
> see where /why the default would change. Also, isn't 'time' in 'time duration'
> unnecessary? Duration implies time.
>
> Appendix A:
> 'The combination of Received Signal Strength Indication(downstream)  (RSSI) and
> Expected Number of Transmissions(upstream)" (ETX) ' -- this is a random closing
> quote without an opening one.
>
>
>
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll